Create a publication
POST
/v1/workflow-definitions/{id}/revisions/{revision}/publicationcurl -X POST 'https://api.embodiflow.io/v1/workflow-definitions/{id}/revisions/{revision}/publication' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- idstring必填
- revisionstring必填
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
响应
Success
- dataobject必填
- idstring必填
- revisionnumber必填
- specobject必填
- specHashstring必填
- purposestring必填
- layoutobject必填
- publishedAtstring | null必填
- rowVersionnumber必填
- issuesarray<FlowIssueBody>
响应示例
{
"data": {
"id": "string",
"revision": 0,
"spec": {},
"specHash": "string",
"purpose": "string",
"layout": {},
"publishedAt": "string",
"rowVersion": 0,
"issues": [
{
"code": "string",
"severity": "string",
"stepId": "string",
"path": "string",
"message": "string",
"requirement": "string"
}
]
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1